version: 2

sources:
  - name: netsuite_stitch
    database: '{{ env_var("SNOWFLAKE_LOAD_DATABASE") }}'
    schema: netsuite_stitch
    loader: Stitch # informational only (free text)
    loaded_at_field: _SDC_EXTRACTED_AT # configure for all sources

    quoting:
      database: false
      schema: false
      identifier: false

    freshness:
      warn_after: {count: 6, period: hour}
      error_after: {count: 18, period: hour}

    tables:
      - name: account
      - name: accounting_periods
        identifier: accountingperiod
      - name: consolidated_exchange_rate
        identifier: consolidatedexchangerate
        freshness: null
      - name: currency_rate
        identifier: currencyrate
      - name: customer
        freshness: null
      - name: deleted
        freshness: null
      - name: department
      - name: subsidiary
      - name: transaction
      - name: vendor
        freshness: null
